This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 98662 - can't authenticate against Windows KDC
can't authenticate against Windows KDC
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mutt (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
http://bugs.guug.de/db/15/1556.html
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-06 23:52 EDT by Matthew Sachs
Modified: 2014-03-16 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-07 15:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch from mutt CVS to fix the bug (310 bytes, patch)
2003-07-06 23:53 EDT, Matthew Sachs
no flags Details | Diff

  None (edit)
Description Matthew Sachs 2003-07-06 23:52:28 EDT
Description of problem: mutt fails to authenticate against a Windows Kerberos
Domain Controller.  When a valid Kerberos ticket is held and the user attempts
to connect to a Kerberos-enabled IMAP server, where the KDC for the Kerberos
domain is a Windows-based server, the message "SASL authentication failed." is
displayed and mutt exits.


Version-Release number of selected component (if applicable): 5:1.4.1-1


How reproducible: Always.


Steps to Reproduce:
1. Get a Kerberos ticket from a Windows KDC.
2. Attempt to connect to an IMAP server which will use your ticket to
authenticate you.
    
Actual results: "SASL authentication failed."


Expected results: Contents of inbox displayed.


Additional info: The attached patch, which was applied to the mutt CVS tree but
is also applicable to 1.4.1, solves the problem.  See mutt bug #1556 (link given
in the URL for this bug) for details of the issue.
Comment 1 Matthew Sachs 2003-07-06 23:53:30 EDT
Created attachment 92770 [details]
Patch from mutt CVS to fix the bug
Comment 2 Bill Nottingham 2003-07-07 15:35:15 EDT
Added, will be in 1.4.1-3.

Note You need to log in before you can comment on or make changes to this bug.